DGET.DE(1)

BEZEICHNUNG
dget - lädt Debian-Quell- und -Binärpakete herunter

ÜBERSICHT

dget [Optionen] URL …
dget [Optionen] [--all] Paket[=Version] …

BESCHREIBUNG
dget lädt Debian-Pakete herunter. In der ersten Form ruft dget die angeforderten URLs ab. Falls dies eine .dsc- oder .changes-Datei ist, agiert dget als eine Form von wget, die das Quellpaket kennt: Es ruft außerdem alle Dateien ab, die in der .dsc-/.changes-Datei referenziert werden. Die heruntergeladene Quelle wird dann mit dscverify geprüft und, falls diese Prüfung erfolgreich verläuft, durch dpkg-source entpackt.

In der zweiten Form lädt dget ein Binärpaket (d.h. eine .deb-Datei) von einem Debian-Spiegel herunter, der in /etc/apt/sources.list(.d) konfiguriert wurde. Anders als apt-get install -d benötigt es keine Root-Rechte, schreibt ins aktuelle Verzeichnis und lädt keine Abhängigkeiten herunter. Falls eine Versionsnummer angegeben wurde, wird diese Version des Pakets abgerufen. Mit --all wird die Liste aller Binärpakete für das Quellpaket Paket aus der Ausgabe von "apt-cache showsrc Paket" extrahiert.

In beiden Fällen ist Dget in der Lage, mehrere Pakete und/oder URLs auf einmal zu holen.

(Beachten Sie, dass .udeb-Pakete, die vom Debian-Installer verwendet werden, in separaten Paketdateien von .deb-Paketen liegen. Um .udebs mit dget zu benutzen, müssen Sie apt konfiguriert haben, um eine Paketdatei für Komponente/Debian-Installer zu verwenden).

Bevor Dateien heruntergeladen werden, die in .dsc- und .changes-Dateien aufgeführt sind, prüft dget, ob all diese Dateien existieren. Ist dies der Fall, werden ihre MD5-Summen verglichen, um zu verhindern, dass sie unnötigerweise erneut heruntergeladen werden. dget sucht außerdem nach passenden Dateien in /var/cache/apt/archives und Verzeichnissen, die durch die Option --path oder in den Konfigurationsdateien (siehe unten) angegeben wurden. Schlussendlich, falls das Herunterladen von (.orig).tar.gz- oder .diff.gz-Dateien fehlschlägt, zieht Dget apt-get source --print-uris zu Rate. Die benutzten Herunterlade-Backends sind curl und wget in dieser Reihenfolge.

dget wurde geschrieben, um die Abfrage von Quellpaketen aus dem Web für gesponsortes Hochladen zu erleichtern. Um das Paket mit debdiff zu prüfen, ist die letzte binäre Version über dget Paket und die letzte Quellpaketversion über apt-get source Paket verfügbar.

OPTIONEN

-a, --all
    deutet Paket als einen Quellpaketnamen und lädt alle Binärdateien, die in der Ausgabe von »apt-cache showsrc Paket« gefunden werden, herunter. Falls Paket mit einer expliziten Architektur angegeben ist, werden nur die Binärpakete heruntergeladen, die unter »Arch: all«, »Arch: any« oder »Arch: $arch« fallen.

-b, --backup
    verschiebt Dateien, die überschrieben würden, nach ./backup.

-q, --quiet
    unterdrückt Ausgaben von wget/curl, die keine Fehler betreffen.

-d, --download-only
    führt für das heruntergeladene Quellpaket nicht dpkg-source -x aus. Dies kann nur mit der ersten Aufrufmethode von dget verwendet werden.

-x, --extract
    führt dpkg-source -x für das heruntergeladene Quellpaket aus, um es zu entpacken. Diese Option ist die Vorgabe und kann nur mit der ersten Aufrufmethode von dget verwendet werden.

-u, --allow-unauthenticated
    versucht nicht, die Vollständigkeit der heruntergeladenen Quellpakete mittels dscverify zu überprüfen.

--build
    führt dpkg-buildpackage -b -uc für das heruntergeladene Quellpaket aus.

--path VERZ[:VERZ …]
    Zusätzlich zu /var/cache/apt/archives verwendet dget die durch Kommas getrennte Liste, die als Argument an --path übergeben wurde, um Dateien mit passender MD5-Summe zu finden, zum Beispiel »--path /srv/pbuilder/result:/home/cb/UploadQueue«. Falls VERZ leer ist (d.h. es wurde »--path ''« angegeben), werden alle Verzeichnisse ignoriert, die vorher aufgeführt oder in den Konfigurationsdateien angegeben wurden. Diese Option kann mehrfach angegeben werden, dann werden alle aufgelisteten Verzeichnisse durchsucht; daher könnte das vorhergehende Beispiel als »--path /srv/pbuilder/result --path /home/cb/UploadQueue« geschrieben werden.

-k, --insecure
    erlaubt SSL-Verbindungen zu nicht vetrauenswürdigen Rechnern.

--no-cache
    umgeht Server-seitige HTTP-Zwischenspeicher durch Senden einer Pragma: no-cache-Kopzeile.

-h, --help
    zeigt eine Hilfenachricht an.

-V, --version
    zeigt Versionsinformationen an.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden durch eine Shell in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien außer Kraft zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannte Variable ist:

DGET_PATH
    Dies kann auf eine durch Kommas getrennte Liste von Verzeichnissen gesetzt werden, in denen zusätzlich zu dem vorgegebenen /var/cache/apt/archives nach Dateien gesucht wird. Es hat die gleichen Auswirkungen wie die Befehlszeilenoption --path. Standardmäßig ist es nicht gesetzt.

DGET_UNPACK
    auf »no« gesetzt deaktiviert das Extrahieren heruntergeladener Quellpakete. Vorgabe ist »yes«.

DGET_VERIFY
    auf »no« gesetzt deaktiviert die Überprüfung der Signaturen heruntergeladener Quellpakete. Vorgabe ist »yes«.

BEISPIELE
lädt alle .deb-Dateien für die verhergehende Version eines Pakets herunter und für debdiff für sie aus:

  dget --all meinpaket=1.2-1
  debdiff --from *_1.2-1_*.deb --to *_1.2-2_*.deb

FEHLER UND KOMPATIBILITÄT
dget Paket sollte in apt-get install -d implementiert sein.

Vor Devscripts-Version 2.10.17 wurde die heruntergeladene Quelle standardmäßig nicht extrahiert. Setzen Sie DGET_UNPACK=no, um wieder zum alten Verhalten zurückzukehren.

AUTOR
Dieses Programm unterliegt dem Copyright (C) 2005-13 von Christoph Berg <myon@debian.org>. Änderungen unterliegen dem Copyright (C) 2005-06 von Julian Gilbey <jdg@debian.org>.

Dieses Programm wurde unter den Bedingungen der GPL lizensiert, entweder Version 2 der Lizenz oder (nach Ihrer Wahl) irgendeiner späteren Version.

SIEHE AUCH
apt-get(1), curl(1), debcheckout(1), debdiff(1), dpkg-source(1), wget(1)